.themeBtnContainer label { 
  display: flex;
  align-items: center;
  margin-left: 1.5rem;
}

.themeBtnContainer span {
  font-size: 1.92rem; 
  font-weight: 600;
  color: var(--min-text-color);
}

.toggle-checkbox {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.toggle-slot {
  position: relative;
  height: 2rem; 
  width: 4rem; 
  border: .15rem solid #e4e7ec; 
  border-radius: 2rem; 
  background-color: white;
  box-shadow: 0px 8px 20px #e4e7ec; 
  display: flex; 
  align-items: center; 
  justify-content: space-between; 
  padding: 0 0.5rem; 
  overflow: hidden; 
}

.toggle-checkbox:checked ~ .toggle-slot {
  background-color: #374151;
}

.toggle-button {
  position: absolute;
  height: 1.5rem; /* Adjusted button size */
  width: 1.5rem; /* Adjusted button size */
  border-radius: 50%;
  background-color: var(--main-color);
  box-shadow: inset 0px 0px 0px 0.75rem var(--main-color);
  transition: background-color 250ms, border-color 250ms, transform 500ms cubic-bezier(.26, 2, .46, .71);
  left: 0.25rem; /* Start from the left */
  top: 50%; /* Center vertically */
  transform: translateY(-50%); /* Adjust to center */
}

.toggle-checkbox:checked ~ .toggle-slot .toggle-button {
  background-color: #485367;
  box-shadow: inset 0px 0px 0px 0.75em white;
  transform: translate(100%, -50%); /* Move to the right */
}






/* Media Queries */
@media (max-width: 1400px) {
  .themeBtnContainer span {
    font-size: 1.75rem; /* Further reduce font size */
  }

  .toggle-slot {
    height: 1.75rem; /* Further reduce size */
    width: 3.5rem; /* Further reduce size */
  }

  .toggle-button {
    height: 1.15rem; /* Adjust button size */
    width: 1.15rem; /* Adjust button size */
  }
}

@media (max-width: 1200px) {
  .themeBtnContainer span {
    font-size: 1.5rem; /* Further reduce font size */
  }

  .toggle-slot {
    height: 1.5rem; /* Further reduce size */
    width: 3rem; /* Further reduce size */
  }

  .toggle-button {
    height: 1rem; /* Adjust button size */
    width: 1rem; /* Adjust button size */
  }
}

@media (max-width: 900px) {
  .themeBtnContainer span {
    display: none; /* Hide span */
  }

  .toggle-slot {
    height: 1.25rem; /* Further reduce size */
    width: 2.5rem; /* Further reduce size */
  }

  .toggle-button {
    height: 0.9rem; /* Adjust button size */
    width: 0.9rem; /* Adjust button size */
  }
}

@media (max-width: 780px) {
 

  .toggle-slot {
    height: 1.2rem; /* Further reduce size */
    width: 2.16rem; /* Further reduce size */
  }

  .toggle-button {
    height: 0.8rem; /* Adjust button size */
    width: 0.8rem; /* Adjust button size */
    left: 0.1rem; /* Adjust position */
  }
}

@media (max-width: 400px) {
  .toggle-slot {
    height: 1rem; /* Further reduce size */
    width: 1.8rem; /* Further reduce size */
  }

  .toggle-button {
    height: 0.7rem; /* Further reduce button size */
    width: 0.7rem; /* Further reduce button size */
  }
}
